/******************************************************************************/
/* funcoes.c                                                                  */
/*                                                                            */
/* Contm as funes que auxiliam os clculos.                                */
/******************************************************************************/

#include "funcoes.h"


/********************************** converte **********************************/
/* Funo que converte um nmero inteiro para a sua representao binria     */
/* Recebe:                                                                    */
/*      - um inteiro nmero --> o nmero dado pelo usurio                    */
/*      - um vetor de inteiros rep_binaria, onde vai ser "devolvida" a        */
/*                                            representao binria do nmero */
/* Devolve:                                                                   */
/*      - um inteiro n --> o nmero de iteraes usadas para gerar o binrio  */

int converte (int numero, int rep_binaria[]) {
  int i, n;
  n = floor (log(numero)/log (2) + 1);
  for (i = 0; i < n; i++) {
    rep_binaria[i] = numero % 2;
    numero -= rep_binaria[i];
    numero /= 2;
  } 
  return (n);

}/* converte -----------------------------------------------------------------*/


/************************************ pot *************************************/
/* Funo que calcula a potncia de um nmero                                 */
/* Recebe:                                                                    */
/*    - um inteiro nmero --> o nmero que  a base da potncia               */
/*    - um inteiro potencia --> o nmero que  a potncia                     */
/* Devolve:                                                                   */
/*    - um inteiro numero --> o nmero dado elevado a potencia pedida         */

int pot (int numero, int potencia) {
  int i, aux;

  if (potencia > 1) {
    aux = numero;
    for (i = 2; i <= potencia; i++)
      numero = aux * numero;
    return numero;
  }
  else if (potencia == 1) return numero;
  else return 1;

}/* pot ----------------------------------------------------------------------*/
